%global pkg_name        Attribute-Overload
%global pkg_version     0.04
%global rpm_pkg_version 0.04
%global rpm_pkg_release 1.n0i.4

Summary:       Attribute that makes overloading easier
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MA/MARCEL/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Attribute::Handlers) >= 0.61


%description
The "Overload" attribute, when used on a subroutine, declares that
subroutine as handler in the current package for the operation(s) indicated
by the attribute options. Thus it frees you from the implementation details
of how to declare overloads and keeps the definitions where they belong,
with the operation handlers.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Fri Oct 19 2007 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.4
- version 0.04

* Sun Sep 09 2007 Marius Feraru <altblue@n0i.net> - 0.03-1.n0i.3
- version 0.03

* Thu Jun 14 2007 Marius Feraru <altblue@n0i.net> - 0.02-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- rebuild on perl 5.8.8

* Fri Jul 29 2005 Marius Feraru <altblue@n0i.net> 0.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
